export declare class LruMap<K, V> extends Map<K, V> {
    readonly limit: number;
    constructor(limit?: number);
    set(key: K, value: V): this;
    get(key: K): V | undefined;
}
export declare class LruTtlMap<K, V> extends LruMap<K, V> {
    private readonly expiry;
    clear(): void;
    delete(key: K): boolean;
    has(key: K, now?: number): boolean;
    get(key: K, now?: number): V | undefined;
    set(key: K, value: V, expiry?: number): this;
}
